# Class ChrPosStats

java.lang.Object
org.snpeff.stats.ChrPosStats

Direct Known Subclasses:
  `PosStats`

public class ChrPosStats extends Object
How many changes per position do we have in a chromosome. Summary by dividing the chromosome into MAX_BINS bins

Author:
  pcingola

## Field Summary

Fields
Modifier and Type
Field
Description
`static boolean`
`debug`

## Constructor Summary

Constructors
Constructor
Description
`ChrPosStats(String chrName, int length)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getCount(int idx)`
`int`
`getTotal()`
`int[]`
`posArray()`
`void`
`sample(int position)`
Use 'num' as a sample
`int`
`size()`
`String`
`toString()`
`String`
`toStringHistoPlot(String title, String xAxisLabel, String yAxisLabel)`
Create a histogram plot using Google charts

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### debug

public static boolean debug

## Constructor Details

### ChrPosStats

public ChrPosStats(String chrName, int length)

## Method Details

### getCount

public int getCount(int idx)

### getTotal

public int getTotal()

### posArray

public int[] posArray()

### sample

public void sample(int position)
Use 'num' as a sample

Parameters:
  `num` -

### size

public int size()

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### toStringHistoPlot

public String toStringHistoPlot(String title, String xAxisLabel, String yAxisLabel)
Create a histogram plot using Google charts

Returns: